Update IP Allowlist Entry Description
curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/account/ip-allowlist/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description"
}
'import requests
url = "https://app.launchdarkly.com/api/v2/account/ip-allowlist/{id}"
payload = { "description": "Updated description" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Updated description'})
};
fetch('https://app.launchdarkly.com/api/v2/account/ip-allowlist/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_createdAt": 0,
"ipAddress": "203.0.113.0/24",
"description": "Office network",
"_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"_updatedAt": 6,
"_createdByMemberId": "507f1f77bcf86cd799439011"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}Update IP Allowlist Entry Description
Update the description of an IP allowlist entry.
PATCH
/
api
/
v2
/
account
/
ip-allowlist
/
{id}
Update IP Allowlist Entry Description
Authorizations
Path Parameters
Unique identifier for the allowlist entry
Body
application/json
Example:
"Updated description"
Response
Updated IP allowlist entry
Unique identifier for the allowlist entry
Example:
"c3d4e5f6-a7b8-9012-cdef-123456789012"
IP address or CIDR block
Example:
"203.0.113.0/24"
Example:
"Office network"
Example:
"507f1f77bcf86cd799439011"